<button class="btn btn-info btn-user btn-sm mb-2" [routerLink]="['/production/trim-inwards']">Show All Raw
    Materials</button>

<div class="card shadow mb-4">
    <div class="card-header">
        Trim Inward Details:
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-6" *ngIf="trim_data">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <tr>
                        <td>ERP</td>
                        <td>{{trim_data.erp_title}}</td>
                    </tr>
                    <tr>
                        <td>Trim Code</td>
                        <td>{{trim_data.trim_code}}</td>
                    </tr>
                    <tr>
                        <td>Received Quantity</td>
                        <td>{{trim_data.received_quantity}}</td>
                    </tr>
                    <tr>
                        <td>Rejected Quantity</td>
                        <td>{{trim_data.rejected_quantity}}</td>
                    </tr>
                    <tr>
                        <td>Stock Quantity</td>
                        <td>{{stock_quantity}}</td>
                    </tr>
                </table>
            </div>
            <div class="col-md-6" *ngIf="trim_data">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <tr>
                        <td>Barcode</td>
                        <td>{{trim_data.barcode}}</td>
                    </tr>
                    <tr>
                        <td>GRN No.</td>
                        <td>{{trim_data.grn_no}}</td>
                    </tr>
                    <tr>
                        <td>Material Unit</td>
                        <td>{{trim_data.material_unit}}</td>
                    </tr>
                    <tr>
                        <td>Date Added</td>
                        <td>{{trim_data.created_on}}</td>
                    </tr>
                    <tr>
                        <td>Added By</td>
                        <td>{{trim_data.full_name}}</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-header">
        Outward Details:
        <button data-toggle="modal" *ngIf="stock_quantity > 0" data-target="#addOutwardEntries"
            (click)="CreateOutwardEntriesForm()" type="button" class="btn btn-sm btn-custom pull-right"
            data-backdrop="static" data-keyboard="false">Add Outward Entry</button>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-12">
                <div class="table-responsive">
                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                            <tr>
                                <th>Quantity</th>
                                <th>Department</th>
                                <th>Line</th>
                                <th>Outward On</th>
                                <th>Added By</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let entries of outwards | paginate: { itemsPerPage: 10, currentPage: p }">
                                <td>{{entries.quantity}}</td>
                                <td>{{entries.dept_name}}</td>
                                <td>{{entries.line_name}}</td>
                                <td>{{entries.created_on}}</td>
                                <td>{{entries.full_name}}</td>
                                <td>
                                    <span><a [routerLink]="" data-toggle="modal" data-target="#addOutwardEntries"
                                            (click)="editOutwardEntries(entries)"><i class="fa fa-edit mr-2"
                                                aria-hidden="true"></i></a></span>
                                </td>
                            </tr>
                            <tr *ngIf="outwards==''">
                                <td colspan="6" class="text-center">No Records Found</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="row d-flex justify-content-center">
                    <pagination-controls *ngIf="outwards!=''" class="my-pagination" (pageChange)="p = $event">
                    </pagination-controls>
                </div>
            </div>
        </div>
    </div>

    <!-- ---------Add Outward Entries Modal---------------------- -->
    <div id="addOutwardEntries" class="modal fade" role="dialog">
        <div class="modal-dialog">

            <div class="modal-content">
                <div class="model-content">
                    <div class="modal-header">
                        <h6 class="modal-title">Add Outward Entry: [ Stock Quantity - {{stock_quantity}}]</h6>
                        <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <form [formGroup]="OutwardEntriesForm" (ngSubmit)="addorEditOutwardEntry()">
                            <div class="row form-group">
                                <div class="col-sm-12 mb-3 mb-sm-0">
                                    <label> Department :</label>
                                    <select formControlName="department" class="form-control dropdown" id="department"
                                        (change)="getLines($event.target.value)">
                                        <option *ngFor="let dept of departments" value="{{dept.dept_id}}">
                                            {{dept.dept_name}}</option>
                                    </select>
                                    <div *ngIf="submitted && formcontrol.department.errors" class="errors">
                                        <div *ngIf="formcontrol.department.errors.required">department is required</div>
                                    </div>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-12 mb-3 mb-sm-0">
                                    <label> Line :</label>
                                    <select formControlName="line" class="form-control dropdown" id="line">
                                        <option *ngFor="let ln of lines" value="{{ln.line_id}}">
                                            {{ln.line}}
                                        </option>
                                    </select>
                                    <div *ngIf="submitted && formcontrol.line.errors" class="errors">
                                        <div *ngIf="formcontrol.line.errors.required"> Line is required</div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-sm-12 mb-3 mb-sm-0">
                                    <label>Quantity :</label>
                                    <input formControlName="quantity" type="number"
                                        class="form-control form-control-user" id="quantity">
                                    <div *ngIf="submitted && formcontrol.quantity.errors" class="errors">
                                        <div *ngIf="formcontrol.v.errors.required"> Quantity is required</div>
                                    </div>

                                    <div class="errors" *ngIf="submitted && stock_quantity_error"> Quantity must be lees
                                        than or equal than stock quantity</div>
                                </div>
                            </div>
                            <hr>
                            <div class="form-group row">
                                <div class="col-sm-4 mb-3 mb-sm-0">
                                </div>
                                <div class="col-sm-4 mb-3 mb-sm-0">
                                    <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>